Name: earth3d
Version: 1.0.4
Release: alt0.M30.1

Summary: A program that visualizes the earth in realtime in a 3D view
License: GPL
Group: Graphics
#Group: Sciences/Geosciences

Url: http://www.earth3d.org
Source: %{name}_client-%version-src.tar.bz2
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Sun Jan 08 2006
BuildRequires: fontconfig freetype2 gcc-c++ libpng-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer xorg-x11-devel zlib-devel

%description
Earth3D is a program that visualizes the earth in realtime in a
3D view. It uses data from NASA, USGS, the CIA and the city of
Osnabruck.  I would like to thank these organisations to allow
me to use their data! The program is available as binary for
Linux, MacOS X and Windows under the GPL license. The program's
features are:

* viewing the earth as a whole
* zooming in until countries, cities and even single houses
  become visible (in areas where the necessary map resolution is
  available)
* embedding external data like current earthquake positions,
  cloud data or GPS points

You can also get some maps mirrored locally to speed up access:
http://venus.schunter.etc.tu-bs.de/~gunia/earthdata.zip
(~1.1->1.9Gb; doesn't include Landsat7 100m/pixel data)

PS: packaged experiencing frustration of Google Earth ;)

%prep
%setup -q -n %name

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh ; PATH=$PATH:$QTDIR/bin
qmake earth3d.pro
%make LFLAGS=-lpng

%install
install -pD -m755 %name   %buildroot%_bindir/%name
install -pD -m644 %name.1 %buildroot%_man1dir/%name.1

%files
%doc README
%doc %_man1dir/*
%_bindir/*

# TODO: 
# - figure out Group: weirdness (sisyphus_check barfs
#   on perfectly present in GROUPS one)

%changelog
* Sun Jan 08 2006 Michael Shigorin <mike@altlinux.org> 1.0.4-alt0.M30.1
- built for M30

* Sun Jan 08 2006 Michael Shigorin <mike@altlinux.org> 1.0.4-alt1
- built for ALT Linux

